libcamera v0.3.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
matrix.h File Reference

Matrix class. More...

`#include <algorithm>`
`#include <sstream>`
`#include <vector>`
`#include <libcamera/base/log.h>`
`#include <libcamera/base/span.h>`
`#include "libcamera/internal/yaml_parser.h"`
Include dependency graph for matrix.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | libcamera::ipa::Matrix< T, Rows, Cols >
| Matrix class. More...

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.
namespace | libcamera::ipa
| The IPA (Image Processing Algorithm) namespace.

## Functions
template<typename T , typename U , unsigned int Rows, unsigned int Cols>
Matrix< U, Rows, Cols > | libcamera::ipa::operator* (T d, const Matrix< U, Rows, Cols > &m)
| Multiply the matrix by a scalar.
template<typename T , typename U , unsigned int Rows, unsigned int Cols>
Matrix< U, Rows, Cols > | libcamera::ipa::operator* (const Matrix< U, Rows, Cols > &m, T d)
| Multiply the matrix by a scalar.
template<typename T , unsigned int R1, unsigned int C1, unsigned int R2, unsigned in C2>
Matrix< T, R1, C2 > | libcamera::ipa::operator* (const Matrix< T, R1, C1 > &m1, const Matrix< T, R2, C2 > &m2)
| Matrix multiplication.
template<typename T , unsigned int Rows, unsigned int Cols>
Matrix< T, Rows, Cols > | libcamera::ipa::operator+ (const Matrix< T, Rows, Cols > &m1, const Matrix< T, Rows, Cols > &m2)
| Matrix addition.

## Detailed Description

Matrix class.